html,
body,
#viewDiv {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
	font-family: "Avenir Next","Helvetica Neue",Helvetica,Arial,sans-serif;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;    /* Firefox, other Gecko */
    box-sizing: border-box;         /* Opera/IE 8+ */
}
.central-panel {
	left: 50%;
	transform: translateX(-50%);
    /*
	display: none;
	position: fixed;
	overflow: auto;
	width: 40em;
	max-width: 80%;
	height: 25em;
	max-height: 80%;
	left: 50%;
	transform: translateX(-50%);
	top: 3em;
	z-index: 99;
	color: #000020;
	background-color: #f8fff8;
	outline: 1px solid #000020;
	opacity: 0.85;
	padding: 0.5em;
	padding-top: 0;
*/
}
.central-panel p.close {
	text-align:right;
	font-weight:bold;
	font-size: 1.1em;
	margin: 0em;
	margin-top: 0.2em;
}
.central-panel p.close span a {
	outline: 1px solid blue;
	text-decoration: none;
}
.central-panel p.close span a:hover {
	color: white;
	background-color: blue;
}
#graphics-settings-view {
	padding-left: 0.5em;
	padding-right: 0.5em;
}
#graphics-settings-view table {
    width: 100%;
}
#topbar {
    background: transparent;
	box-shadow: unset;
	z-index: 1000;
	background-color: darkblue;
	/*
    opacity: 0.3;
   */
    border-radius: 5px;
    margin-right: 7px;
}
#topbar:hover {
    opacity: 0.8;
}
.active {
    background: #0079c1 !important;
    color: #e4e4e4 !important;
}
.drawingActive {
    /*
        background: #000000 !important;
   */
    color: black !important;
}

.ToolbarButton {
	text-align: center;
	display: inline;
	vertical-align: middle;
	font-size: 24px;
	background-color: transparent;
	color: white;
	border-width: 0;
    height: 1.2em;
}
.ToolbarButton:hover {
    outline: 2px white solid;
}
#LocateButton {
	display: inline-block;
	background-color: transparent;
}
#LocateButton, #ExportButton {
	width: 40px;
	height: 30px;
}
#LocateButton span {
	margin-top: 9px;
	color: #d0d0ff;
}
span#ExportButton.icon.icon-fill, span#ExportButton.icon.icon-fill:after, span#ExportButton.icon.icon-fill:before, #arrow-button {
	margin-bottom: 0;
}
div.esri-ui-top-left, div.esri-widget--panel {
	max-height: 100% !important;
}
.esri-component.esri-sketch.esri-widget {
    border-radius: 5px;
    margin-right: 2.5em;
}
.esri-search {
	width: 15.7em !important;
	opacity: 0.8 !important;
    margin-top: 1em;
}
.esri-search__form {
	opacity: 0.8 !important;
}
.esri-search:hover, .esri-search__form:hover {
	opacity: 1.0 !important;
}
.esri-layer-list__item-container {
    padding: unset !important;
}
div.esri-search__container {
	display: none;
}
.esri-ui-top-left {
    /*
	opacity: 0.3;
    transition: opacity .2s;
    */
    -webkit-transition: .2s; /* 0.2 seconds transition on hover */
}
.esri-ui-top-left:hover {
    /*
	opacity: 1;
    */
}
.esri-ui-top-right .esri-expand__content {
    top: unset;
    right: -12px;
}

/* jquery dialog */
.ui-widget-header,.ui-state-default, ui-button {
    background:#b9cd6d;
    outline: 1px solid #b9cd6d;
    color: #FFFFFF;
    font-weight: bold;
}

#bookmark-table {
	width: 100%;
}
#bookmark-table thead tr {
	text-align: left;
}
#bookmark-table,
#bookmark-table tbody,
#bookmark-table tbody tr,
#bookmark-table thead,
#bookmark-table thead tr,
#bookmark-table tbody tr td,
#bookmark-table tbody tr td button,
#bookmark-table thead tr th {
	font-size: 12px;
	min-width: 2em;
}
/*
#bookmark-view p {
	margin-left: 45%;
}
#bookmark-view {
    opacity: 30%;
}
#bookmark-view:hover {
    opacity: 90%;
}
*/
.bookmarks {
    border-collaps: collapse;
}
table.bookmarks td,
table.bookmarks th {
    padding: .5em;
    border: 1px solid gray;
}
table.bookmarks th {
    background-color: #eee;
}
.visible {
    visibility: visible;
    opacity: 1;
    transition: opacity 2s linear;
}
.hidden {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s 2s, opacity 2s linear;
}
#bookmarkMessages, #parcelMessages {
	color: red;
    position: fixed;
    top: 3em;
    right: 2em;
    font-size: 1em;
    padding: 0.2em;
    background-color: rgba(255,255,200,0.5);
    border-radius: 7px;
}
#parcelMessages {
    font-size: 1em;
}
#efp {
	position:absolute;
	top:20px;
	/*
		  left: 50%;
		  transform: translateX(-50%);
   */
	width:300px;
	height:250px;
	visibility:hidden;
	max-height:400px;
	opacity: 0.85;
}
#showSettings {
    display:none;
	width: 2em;
	margin-bottom: -0.6em;
	margin-top: .6em;
}
.glass {
	position: fixed;
	z-index: 100;
	background-color: transparent;
}

 .settingsTable {
     width:100%;
     outline:1px solid #808080;
 }
 .settingsTable td {
     padding: 5px;
 }
 .settingsHeading {
     font-weight: bold;
 }

 select.form-control {
     width: 10em !important;
 }
 #bookmarkgroup-select {
     min-width:30em;
 }
 #bookmarkgroup-text {
     width:100%;
 }
 .form-select {
     margin-bottom: 1em;
     width: 100%;
 }
 .bookmark-form {
     border: 1px solid blue;
 }
 .bookmark-delete-column {
     width: 1em;
 }
 .bookmark-id-column {
     width: 5em;
 }
 input[type=color] {
     padding:0;
 }
 .icon {
     cursor: pointer;
     position: relative;
     display: inline-block;
     width: 40px;
     overflow: hidden;
     background-image: unset;
     margin-bottom: 3px;
 }
 .icon i {
     position: relative;
     font-size: 20px;
     margin-top: 5px;
 }

 #text-button {
     font-size: 20px;
     margin-bottom: -0.3em;
     color:black;
 }
 
 i.fa-palette:hover, i.fa-solid:hover, #text-button span:hover {
	 color: #444444 !important;
 }

 .tooltip-inner, .tooltip-arrow {
	 color: white;
	 border-color: white;
	 font-size: 1.3em;
     padding: 3px;
 }
 .tooltip-arrow,
 .gis-tooltip + .tooltip > .tooltip-inner {
	 background-color: #f00;
 }
 .gis-tooltip + .tooltip.top > .tooltip-arrow {
	 background-color: #f00;
 }
 .bs-tooltip-auto[x-placement^=bottom] .arrow::before,
 .bs-tooltip-bottom .arrow::before {
     border-bottom-color: #f00; /* Red */
 }

 .ui-dialog-titlebar-close {
     background-image: url(icons/ui-icons_000000_256x240.png) !important;
     background-position: -96px -128px;
 }

 .esri-ui-inner-container,.esri-ui-corner-container {
     inset: 5px 5px 5px 5px !important;
 }
 .esri-ui-bottom-right {
     bottom: 20px; !important;
 }
 .esri-widget--button {
     background-color: transparent;
     /*
     color: white;
     */
 }
 .esri-widget--button.active,
 .esri-widget--button.active:hover,
 .esri-widget--button.active:focus {
     cursor: default;
     background-color: #999696;
 }
 .esri-widget--button.active path,
 .esri-widget--button.active:hover path,
 .esri-widget--button.active:focus path {
     fill: #E4E4E4;
 }
 .esri-ui-top-right .esri-component {
     margin-bottom: unset;
 }
 .esri-basemap-gallery {
     overflow-y: auto;
     height: 20em;
 }
 #BasemapButton, #SearchButton, #tmks {
     margin-top: 5px;
 }
 #EditButton, #LayersButton, #BookmarkButton, #InfoButton {
     margin-bottom: 7px;
 }
 #topbar {
     margin-right: 0;
 }
 #tmk-view {
     text-align:center;
     vertical-align: middle;
 }
 #parcels {
     width: 100%;
     height: 100%;
     background: rgb(96.1%, 96.1%, 86.3%,1);
     color: maroon;
     font-size: 1.2em;
     font-weight: bold;
     display: block;
     margin: .2em;
     margin-left: 0;
     min-height: 5em;
 }
 #tmks {
     font-weight: bolder;
     font-size:.7em;
     height: 2.4em;
 }
 #textEntryDiv {
     display:none;
     background-color:#D0D0D0;
     opacity:0.4;
     width:0;
     padding:0;
 }
 #textEntry {
     display:none;
     background-color:transparent;
     width:5em;
     opacity:1;
 }
 #imageSize, #fontSize {
     min-width: 10em;
 }
 #fontColor, #fillColor, #lineWidth, #color, #arrowWidth, #pointSize, #lineColor, #opacity {
     max-width: 10em;
 }
 #opacity {
     height:3px;
 }

 table#alert {
     border-collapse: collapse;
 }
 td#alert {
     border: 1px gray solid;
     padding: 0.5em;
 }
 .modeless{
     /*
    top:10%;
    left:50%;
    bottom:auto;
    right:auto;
    margin-left:-300px;
*/
}
.modal {
	 left: 50%;
	 transform: translateX(-50%);
     max-width: 50em;
     width: fit-content;
 }

.modal-content {
     max-width: 50em;
     width: fit-content;
 }

.modal-dialog {
     max-width: unset;
}

 button[data-bs-dismiss=modal] {
     position: fixed;
     right: 1em;
 }
 .modal.show .modal-dialog {
     opacity: 0.3;
 }
 .modal.show .modal-dialog:hover {
     opacity: 1.0;
 }
 #vScale {
     padding: 1px;
     opacity: 0.4;
     position: relative;
     margin-left: .1em;
 }
 .esri-scale-bar__bar-container {
     font-size: 14px;
     padding: 1px;
 }
 #vScale, .esri-scale-bar__bar-container {
     bottom: 1.3em;
 }
 
 @media screen and (max-width: 992px) {
     #topbar, .esri-ui-top-left, #bookmark-view {
	     opacity: 0.8;
     }
     .esri-ui-top-left.esri-ui-corner {
         margin-left: .5em;
     }
 }
